Skip to main content
GET
https://punchplay.tv
/
api
/
platform
/
v1
/
playback
/
events
Subscribe to playback update events
curl --request GET \
  --url https://punchplay.tv/api/platform/v1/playback/events \
  --header 'Authorization: Bearer <token>'
"event: ready\ndata: {\"connectedAt\":\"2026-06-08T12:00:00.000Z\"}\n\nevent: playback-update\ndata: {\"emittedAt\":\"2026-06-08T12:00:02.000Z\",\"sequence\":1,\"userId\":\"user_id\"}\n"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

SSE stream opened.

The response is of type string.

Example:

"event: ready\ndata: {\"connectedAt\":\"2026-06-08T12:00:00.000Z\"}\n\nevent: playback-update\ndata: {\"emittedAt\":\"2026-06-08T12:00:02.000Z\",\"sequence\":1,\"userId\":\"user_id\"}\n"